Some themes do not support moving wp-config.php outside web root folder to harden security

I was attempting to harden my WordPress installation and implemented a recommendation that I saw suggesting to move wp-config.php one directory above the web root. This is documented here:

http://codex.wordpress.org/Hardening_WordPress#Securing_wp-config.php

I noticed some errors in my Apache server log and discovered that several themes from WPMU DEV do not support this. They apparently use relative paths, expecting wp-config.php to be in the default location. I found them by grep'ing for 'wp-config.php' and filtering on 'require'

These themes include:
blogs-mu
stripedplus
commentpress
roundflow
letoprime
blue-moon

The WordPress file wp-load.php shows how this can be fixed to allow searching for this file in 2 places.

Could you consider making this fix to the themes so that the security feature is supported?

Thanks,

Scott